nav{
    width: 100%;
    position: relative;
    z-index: 999999;
    display: flex;
    justify-content: center;
    height: 100px;
    overflow: visible;
}

.imgContainer{
    position: absolute;
    left: -6%;
    top: -3%;
    width: 0; height: 0;
    border-style: solid;
    border-width: 400px 400px 0px 0px;
    border-color: var(--highlight) transparent transparent transparent;
    transform: rotate(0deg);
}
.logo{
    object-fit: scale-down;
    height: 100%;
    width: 100%;
    object-fit: contain;
}

.navList{
    display: flex;
    width: 50%;
    gap: 15px;
    align-items: center;
    justify-content: space-around;
    position: fixed;
    background-color: rgba(var(--backVar), 0.5);
    background: linear-gradient(135deg, rgba(var(--backVar), 0.6),rgba(var(--highlightVar), 0.6));
    height: 100px;
    border-radius: 20px;
}
.navItem{
    display: flex;
    gap: 3px;
    flex-direction: column;
    align-items: center;
}
.navText{
    transition: all 0.2s ease-out;
    font-size: 1.2rem;
    font-weight: 600;
    white-space: nowrap;
    text-shadow: 2px 1px 3px var(--fontLighter);
}
.navLine{
    height: 1px;
    width: 1px;
    border-radius: 30px 10px / 10px 30px;
    transition: all 0.2s ease-out;
    padding: 2px;
}
.navItem:hover{
    .navLine{
        background-color: var(--highlight);
        width: 50%;
        cursor: pointer;
    }
    .navText{
        text-shadow: 2px 1px 3px var(--backDarker2);
        cursor: pointer;
    }
}

.navButton{
    height: 50px;
    padding: 10px;
    width: 120px;
    color: var(--font);
    text-shadow: 0 0 2px var(--font);
    font-size: 1rem;
    text-shadow: 0 0 1px;
    font-weight: 500;
    background-color: var(--backDarker);
    border-radius: 10px;
    box-shadow: 0 7px 9px var(--backDarker);
    border: 0;
    transition: all 0.3s ease-out;
}
.navButton:hover{
    background-color: var(--highlight);
    color: var(--backDarker);
    box-shadow: 0 0 0;
    cursor: pointer;
}
.navButton:hover > span{
    color: var(--sciLog);
}
@media screen and (max-width: 1300px) {
    .navList{
        padding-left: 10px;
        padding-right: 10px;
        width: 80%;
    }
    .imgContainer{
        border-width: 0;
    }
    .hero{
        background-size: fill;
    }
}
@media screen and (max-width: 600px) {
    .navButton{
        display: none;
    }
}